<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

$frontRewrites = array(
// TOP- PAGES
'#^/top-notes.html$#' => '/site/topNotes',
'#^/top-hits.html$#' => '/site/topHits',
'#^/top-referrers.html$#' => '/site/topReferrers', 
'#^/top-rank.html$#' => '/site/topRank',
'#^/top-rank-([0-9]+).html$#' => '/site/topRank/\1',

// WEBMASTER PAGES
'#^/webmaster-submit-website.html$#' => '/webmaster/submitWebsite',
'#^/webmaster-login.html$#' => '/webmaster/logIn',
'#^/webmaster-lost-password.html$#' => '/webmaster/lostPassword',
'#^/webmaster-change-password.html$#' => '/webmaster/changePassword',
'#^/webmaster-management.html$#' => '/webmaster/manage',
'#^/webmaster-logoff.html$#' => '/webmaster/logoff',
'#^/webmaster-delete-site-([0-9]+).html$#' => '/webmaster/deleteSite/\1',
'#^/webmaster-edit-site-([0-9]+).html$#' => '/webmaster/editSite/\1',

// CATEGORIES PAGE
'#^/(.*)-c([0-9]+)-p([0-9]+).html$#' => '/site/category/\2/\1/\3',

// SITE DETAILS PAGE
'#^/(.*)-s([0-9]+).html$#' => '/site/details/\2/\1',

// INDEX PAGE
'#^/index.html$#' => '/index.php',

// CONTACT FORM
'#^/contact.html$#' => '/contact',

// NEWS PAGE
'#^/nouveautes.html$#' => '/site/news',

// ALL CATEGORIES PAGE
'#^/allcategories.html$#' => '/category/showAll',

// RSS FLUX NEWS
'#^/rss-nouveautes.xml$#' => '/rss/news',

// RSS FLUX CATEGORY
'#^/rss-c([0-9]+).xml$#' => '/rss/category/\1',

// VOTE FORM
'#^/vote_s([0-9]+).html$#' => '/vote/popup/\1',

// COMMENT FORM
'#^/comment_s([0-9]+).html$#' => '/comment/popup/\1',

// PROBLEM REPORTING FORM
'#^/problem_reporting_s([0-9]+).html$#' => '/site/problemPopup/\1',

// SUBMITE SITE
'#^/submit-website.html$#' => '/webmaster/submit1',
'#^/submit-website-2.html$#' => '/webmaster/submit2',
'#^/submit-website-3.html$#' => '/webmaster/submit3',

// KEYWORDS
'#^/mots-([A-Z0-9]).html$#' => '/keyword/show/\1',
'#^/mots-(.*)-m([0-9]+)-p([0-9]+).html$#' => '/site/keyword/\2/\1/\3',

// SEARCH
'#^/search-p([0-9]+).html$#' => '/site/search/\1',


);

$rewrites = array (
  '#^/category/showAll$#' => '/allcategories.html',
  '#^/comment/popup/(.*)$#' => '/comment_s\1.html',
  '#^/contact$#' => '/contact.html',
  '#^/index.php$#' => '/index.html',
  '#^/keyword/show/(.*)$#' => '/mots-\1.html',
  '#^/rss/category/(.*)$#' => '/rss-c\1.xml',
  '#^/rss/news$#' => '/rss-nouveautes.xml',
  '#^/site/category/(.*)/(.*)/(.*)$#' => '/\2-c\1-p\3.html',
  '#^/site/details/(.*)/(.*)$#' => '/\2-s\1.html',
  '#^/site/keyword/(.*)/(.*)/(.*)$#' => '/mots-\2-m\1-p\3.html',
  '#^/site/news$#' => '/nouveautes.html',
  '#^/site/problemPopup/(.*)$#' => '/problem_reporting_s\1.html',
  '#^/site/search/(.*)$#' => '/search-p\1.html',
  '#^/webmaster/submit1$#' => '/submit-website.html',
  '#^/webmaster/submit2$#' => '/submit-website-2.html',
  '#^/webmaster/submit3$#' => '/submit-website-3.html',
  '#^/site/topHits$#' => '/top-hits.html',
  '#^/site/topNotes$#' => '/top-notes.html',
  '#^/site/topRank$#' => '/top-rank.html',
  '#^/site/topRank/(.*)$#' => '/top-rank-\1.html',
  '#^/site/topReferrers$#' => '/top-referrers.html',
  '#^/vote/popup/(.*)$#' => '/vote_s\1.html',
  '#^/webmaster/deleteSite/(.*)$#' => '/webmaster-delete-site-\1.html',
  '#^/webmaster/editSite/(.*)$#' => '/webmaster-edit-site-\1.html',
  '#^/webmaster/logIn$#' => '/webmaster-login.html',
  '#^/webmaster/logoff$#' => '/webmaster-logoff.html',
  '#^/webmaster/lostPassword$#' => '/webmaster-lost-password.html',
  '#^/webmaster/changePassword$#' => '/webmaster-change-password.html',
  '#^/webmaster/manage$#' => '/webmaster-management.html',
  '#^/webmaster/submitWebsite$#' => '/webmaster-submit-website.html',
);

?>