<?php

/* !! set this value to the current language name, when creating new languages !! */
$languageName = 'English';

/*  English language dictionary
	To create another language, 
	please, copy this file and replace 
	expressions with the same ones in the 
	new language.
	
	The file should be posted in /languages 
	folder. Its name sould be LanguageName.php,
	where LanguageName is the language, shown 
	in the CMS as an language option.
*/

$language = array();


/* INSTALLATION TEXTS */

// Installation - introduction
$language['Welcome to the setup of Arfooo Directory.'] = '';
$language['The script PHP/MySQL Arfooo Directory is an open source software distributed free under the'] = '';
$language['http://creativecommons.org/licenses/by/2.0/'] = '';
$language['Creative Commons License'] = '';
$language['to which must be added the additional terms below'] = '';
$language['It is mandatory to keep the backlink to Arfooo.com found in the foot of the page and each page on your directory.'] = 'It is mandatory to keep the backlink to Arfooo.net found in the foot of the page and each page on your directory.';
$language['The link should be back in this form: "Powered by'] = '';
$language['http://www.arfooo.com/'] = 'http://www.arfooo.net/';
$language['Directory for seo'] = '';
$language['Arfooo Directory'] = '';
$language['In case you have modified the source code of the script, we are entitled to ask for the source code changed at any time and you have to provide us immediately.'] = '';
$language['Simply follow the steps for installing and getting the necessary information.'] = '';
$language['Thank you for choosing Arfooo Directory.'] = '';
$language['We wish you a good installation.'] = '';

// Installation - test
$language['Arfooo Directory PHP/MYSQL setup'] = '';
$language['PHP, Libraries, Modules'] = '';
$language['PHP version'] = '';
$language['MySQL is Present'] = '';
$language['XML is Present'] = '';
$language['GD is Present'] = '';
$language['mod_rewrite is Present'] = '';
$language['The cache/ directory is writable'] = '';
$language['The save/ directory is writable'] = '';
$language['The uploads/images_categories/ directory is writable'] = '';
$language['The uploads/images_thumbs/ directory is writable'] = '';
$language['The compiled/ directory is writable'] = '';
$language['The config/db.php is writable'] = '';
$language['Permissions'] = '';
$language['Continue'] = '';
$language['Yes'] = '';
$language['No'] = '';

// Installation - database parametres
$language['Database Parameters'] = '';
$language['Server Address'] = '';
$language['Login'] = '';
$language['Password'] = '';
$language['Database Name'] = '';
$language['Tables Prefix'] = '';

// Installation - tables
$language['Creating tables'] = '';
$language['Create table'] = '';
$language['MySQL version'] = '';

// Installation - admin details
$language['Creating the Administrator'] = '';
$language['Login'] = '';
$language['Password'] = '';
$language['Repeat password'] = '';
$language['E-mail'] = '';
$language['Password is not exactly repeated.'] = '';

// Installation - success
$language['End of setup'] = '';
$language['Setup finished successfully'] = '';
$language['Administration panel'] = '';

// Installation - footer
$language['Powered by'] = '';
$language['2007 - 2008'] = '';
$language['http://www.arfooo.com/'] = 'http://www.arfooo.net/';



foreach ($language as $key => $val)
{
	$language[$key] = str_replace("'", "`",$val);
}

// set values of English expressions same as keys
if ($languageName == 'English')
{
	foreach ($language as $key => $val)
	{
		if ($val == '')
			$language[$key] = $key;
	}
}
?>