Comment = function(form)
{
    form.addEvent("submit", this.validate.handler(this));
    this.form = form;
    this.missedNickNameError = setting.missedNickNameError;
    this.missedContentTextError = setting.missedContentTextError;
    this.missedPrivateCodeError = setting.missedPrivateCodeError; 
};

Comment.prototype = 
{
    form: null,
    
    missedNickNameError: "",
    missedContentTextError: "",
    missedPrivateCodeError: "",
    
    validate: function(event)
    {
        if(this.form.pseudo.value == '')
        {
            alert(this.missedNickNameError);
            this.form.pseudo.focus();
            event.preventDefault();
            return false;
        }
        
        if (this.form.text.value == '')
        {
            alert(this.missedContentTextError);
            this.form.text.select();
            event.preventDefault();
            return false;  
        }
        
        if (this.form.privateCode && this.form.privateCode.value == '')
        {
            alert(this.missedPrivateCodeError);
            this.form.privateCode.select();
            event.preventDefault();
            return false;  
        }
    }
}